summaryrefslogtreecommitdiffstats
path: root/csoap-config.in
diff options
context:
space:
mode:
authorGravatar snowdrop2006-02-04 01:51:50 +0000
committerGravatar snowdrop2006-02-04 01:51:50 +0000
commitd167bc0c435fd89c0794db22d069a46fe64b084f (patch)
tree369fad7b4d72c01d7baf22e64f63f0c7a9c01c1b /csoap-config.in
parent33221688b25c13dd30c6861b42a98ed068e5fa50 (diff)
downloadcsoap-d167bc0c435fd89c0794db22d069a46fe64b084f.tar.gz
csoap-d167bc0c435fd89c0794db22d069a46fe64b084f.tar.bz2
initial import
Diffstat (limited to 'csoap-config.in')
-rwxr-xr-xcsoap-config.in83
1 files changed, 83 insertions, 0 deletions
diff --git a/csoap-config.in b/csoap-config.in
new file mode 100755
index 0000000..2f127f7
--- /dev/null
+++ b/csoap-config.in
@@ -0,0 +1,83 @@
+#! /bin/sh
+
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@
+libdir=@libdir@
+
+usage()
+{
+ cat <<EOF
+Usage: csoap-config [OPTION]
+
+Known values for OPTION are:
+
+ --prefix=DIR change libcsoap prefix [default $prefix]
+ --exec-prefix=DIR change libcsoap exec prefix [default $exec_prefix]
+ --libs print library linking information
+ --cflags print pre-processor and compiler flags
+ --help display this help and exit
+ --version output version information
+EOF
+
+ exit $1
+}
+
+if test $# -eq 0; then
+ usage 1
+fi
+
+cflags=false
+libs=false
+
+while test $# -gt 0; do
+ case "$1" in
+ -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) optarg= ;;
+ esac
+
+ case "$1" in
+ --prefix=*)
+ prefix=$optarg
+ includedir=$prefix/include
+ libdir=$prefix/lib
+ ;;
+
+ --prefix)
+ echo $prefix
+ ;;
+
+ --exec-prefix=*)
+ exec_prefix=$optarg
+ libdir=$exec_prefix/lib
+ ;;
+
+ --exec-prefix)
+ echo $exec_prefix
+ ;;
+
+ --version)
+ echo @VERSION@
+ exit 0
+ ;;
+
+ --help)
+ usage 0
+ ;;
+
+ --cflags)
+ echo @LIBXML_CFLAGS@ -I${includedir}/@GENERIC_LIBRARY_NAME@-@GENERIC_API_VERSION@/ -I${includedir}/@NANOHTTP_LIBRARY_NAME@-@NANOHTTP_API_VERSION@/
+ ;;
+
+ --libs)
+ echo -L${libdir} -lcsoap-@GENERIC_API_VERSION@ -l@NANOHTTP_LIBRARY_NAME@-@NANOHTTP_API_VERSION@ @LIBXML_LIBS@
+ ;;
+ *)
+ usage
+ exit 1
+ ;;
+ esac
+ shift
+done
+
+exit 0